Discussion:
Got segmentation fault after upgrade
(too old to reply)
piequiex
2017-02-24 11:24:14 UTC
Permalink
Raw Message
X.Org X Server 1.19.1
Release Date: 2017-01-11
[ 150.768] X Protocol Version 11, Revision 0
[ 150.770] Build Operating System: Linux 4.8.14-1-ARCH x86_64
[ 150.772] Current Operating System: Linux localhost 4.9.11-1-ARCH #1 SMP PREEMPT Sun Feb 19 13:45:52 UTC 2017 x86_64
[ 150.780] Build Date: 14 February 2017 03:36:07AM

[ 151.110] (II) AIGLX: Loaded and initialized i965
[ 151.110] (II) GLX: Initialized DRI2 GL provider for screen 1
[ 151.111] (II) NOUVEAU(0): NVEnterVT is called.
[ 151.111] (EE)
[ 151.111] (EE) Backtrace:
[ 151.111] (EE) 0: /usr/lib/xorg-server/Xorg (OsLookupColor+0x139) [0x59bdb9]
[ 151.112] (EE) 1: /usr/lib/libpthread.so.0 (__restore_rt+0x0) [0x7f3e6849807f]
[ 151.113] (EE) 2: /usr/lib/xorg-server/Xorg (xf86RandR12CreateScreenResources+0x534) [0x4b7fd4]
[ 151.113] (EE) 3: /usr/lib/xorg-server/Xorg (InitExtensions+0x5d0) [0x4ab4d0]
[ 151.113] (EE) 4: /usr/lib/xorg-server/Xorg (InitFonts+0x2c5) [0x43a775]
[ 151.114] (EE) 5: /usr/lib/libc.so.6 (__libc_start_main+0xf1) [0x7f3e68109291]
[ 151.114] (EE) 6: /usr/lib/xorg-server/Xorg (_start+0x2a) [0x42457a]
[ 151.115] (EE) 7: ? (?+0x2a) [0x2a]
[ 151.115] (EE)
[ 151.115] (EE) Segmentation fault at address 0x0
[ 151.115] (EE)
Fatal server error:
[ 151.115] (EE) Caught signal 11 (Segmentation fault). Server aborting
[ 151.115] (EE)
[ 151.115] (EE)
Please consult the The X.Org Foundation support
at http://wiki.x.org
for help.
[ 151.115] (II) AIGLX: Suspending AIGLX clients for VT switch
[ 151.115] (II) NOUVEAU(0): NVLeaveVT is called.
[ 151.115] (II) AIGLX: Suspending AIGLX clients for VT switch
[ 151.127] (EE) Server terminated with error (1). Closing log file.

[PACMAN] Running 'pacman -S xf86-input-evdev xf86-input-libinput xf86-video-nouveau xorg-server xorg-server-common xorg-server-devel'
[ALPM] transaction started
[ALPM] upgraded xf86-input-evdev (2.10.4-1 -> 2.10.5-1)
[ALPM] upgraded xf86-input-libinput (0.22.0-1 -> 0.24.0-1)
[ALPM] upgraded xf86-video-nouveau (1.0.13-1 -> 1.0.13-2)
[ALPM] installed libxfont2 (2.0.1-1)
[ALPM] upgraded xorg-server-common (1.18.4-1 -> 1.19.1-5)
[ALPM] upgraded xorg-server (1.18.4-1 -> 1.19.1-5)
[ALPM] upgraded xorg-server-devel (1.18.4-1 -> 1.19.1-5)
[ALPM] transaction completed
--
Have a nice day!
Ivy Foster via arch-general
2017-02-25 00:59:30 UTC
Permalink
Raw Message
Post by piequiex
[PACMAN] Running 'pacman -S xf86-input-evdev xf86-input-libinput
xf86-video-nouveau xorg-server xorg-server-common xorg-server-devel'
Try running pacman -Syu. Partial upgrades are not supported [1] for
exactly this reason.

iff

[1]: https://wiki.archlinux.org/index.php/System_maintenance#Partial_upgrades_are_unsupported
Merlin Büge
2017-02-25 01:28:09 UTC
Permalink
Raw Message
On Fri, 24 Feb 2017 18:59:30 -0600
Post by Ivy Foster via arch-general
Post by piequiex
[PACMAN] Running 'pacman -S xf86-input-evdev xf86-input-libinput
xf86-video-nouveau xorg-server xorg-server-common xorg-server-devel'
Try running pacman -Syu. Partial upgrades are not supported [1] for
exactly this reason.
Huh? I think this is not a partial upgrade. A partial upgrade would be
pacman -Sy package
Post by Ivy Foster via arch-general
iff
https://wiki.archlinux.org/index.php/System_maintenance#Partial_upgrades_are_unsupported
--
Merlin Büge <***@bluenox07.de>
Fernando Fernandez
2017-02-25 01:43:14 UTC
Permalink
Raw Message
If you run

# pacman -Sy
# pacman -S package

It's a partial upgrade...
Post by Merlin Büge
On Fri, 24 Feb 2017 18:59:30 -0600
Post by Ivy Foster via arch-general
Post by piequiex
[PACMAN] Running 'pacman -S xf86-input-evdev xf86-input-libinput
xf86-video-nouveau xorg-server xorg-server-common xorg-server-devel'
Try running pacman -Syu. Partial upgrades are not supported [1] for
exactly this reason.
Huh? I think this is not a partial upgrade. A partial upgrade would be
pacman -Sy package
Post by Ivy Foster via arch-general
iff
https://wiki.archlinux.org/index.php/System_maintenance#Partial_upgrades_are_unsupported
--
--
Fernand{o,ez}
Software Peronista
Ivy Foster via arch-general
2017-02-25 01:43:38 UTC
Permalink
Raw Message
Post by Merlin Büge
On Fri, 24 Feb 2017 18:59:30 -0600
Post by Ivy Foster via arch-general
Post by piequiex
[PACMAN] Running 'pacman -S xf86-input-evdev xf86-input-libinput
xf86-video-nouveau xorg-server xorg-server-common xorg-server-devel'
Try running pacman -Syu. Partial upgrades are not supported [1] for
exactly this reason.
Huh? I think this is not a partial upgrade. A partial upgrade would be
pacman -Sy package
This is the command that was run, according to the message subject, as
an "upgrade" (piequiex's word, not mine). I assumed it was prefaced
by -Sy, since the subject is "segmentation fault after upgrade" rather
than something like "X11 segfaults after fresh install".

iff
Merlin Büge
2017-02-25 01:49:25 UTC
Permalink
Raw Message
On Fri, 24 Feb 2017 19:43:38 -0600
Ivy Foster via arch-general <arch-***@archlinux.org> wrote:

<snip>
Post by Ivy Foster via arch-general
Post by Merlin Büge
Huh? I think this is not a partial upgrade. A partial upgrade would
be pacman -Sy package
This is the command that was run, according to the message subject, as
an "upgrade" (piequiex's word, not mine). I assumed it was prefaced
by -Sy, since the subject is "segmentation fault after upgrade" rather
than something like "X11 segfaults after fresh install".
Oops, I didn't read the pacman log well enough.
Sorry for the noise.
Post by Ivy Foster via arch-general
iff
--
Merlin Büge <***@bluenox07.de>
Loading...